diff --git a/src/bin/pg_dump/pg_backup_archiver.c b/src/bin/pg_dump/pg_backup_archiver.c
new file mode 100644
index 7aaba36..d28cae5
*** a/src/bin/pg_dump/pg_backup_archiver.c
--- b/src/bin/pg_dump/pg_backup_archiver.c
*************** StartRestoreBlob(ArchiveHandle *AH, Oid 
*** 988,994 ****
  	/* Initialize the LO Buffer */
  	AH->lo_buf_used = 0;
  
! 	ahlog(AH, 2, "restoring large object with OID %u\n", oid);
  
  	/* With an old archive we must do drop and create logic here */
  	if (old_blob_style && drop)
--- 988,994 ----
  	/* Initialize the LO Buffer */
  	AH->lo_buf_used = 0;
  
! 	ahlog(AH, 1, "restoring large object with OID %u\n", oid);
  
  	/* With an old archive we must do drop and create logic here */
  	if (old_blob_style && drop)
diff --git a/src/bin/pg_dump/pg_backup_tar.c b/src/bin/pg_dump/pg_backup_tar.c
new file mode 100644
index 451c957..e3c455b
*** a/src/bin/pg_dump/pg_backup_tar.c
--- b/src/bin/pg_dump/pg_backup_tar.c
*************** _LoadBlobs(ArchiveHandle *AH, RestoreOpt
*** 728,734 ****
  			oid = atooid(&th->targetFile[5]);
  			if (oid != 0)
  			{
! 				ahlog(AH, 1, "restoring large object OID %u\n", oid);
  
  				StartRestoreBlob(AH, oid, ropt->dropSchema);
  
--- 728,734 ----
  			oid = atooid(&th->targetFile[5]);
  			if (oid != 0)
  			{
! 				ahlog(AH, 1, "restoring large object with OID %u\n", oid);
  
  				StartRestoreBlob(AH, oid, ropt->dropSchema);
  
